PipeWire: pw_impl_node_events Struct Reference

PipeWire 0.3.6

Data Fields
pw_impl_node_events Struct Reference

Node events, listen to them with pw_impl_node_add_listener. More...

## Data Fields
uint32_t | version
void(* | destroy )(void *data)
| the node is destroyed More...
void(* | free )(void *data)
| the node is about to be freed More...
void(* | initialized )(void *data)
| the node is initialized More...
void(* | port_init )(void *data, struct pw_impl_port *port)
| a port is being initialized on the node More...
void(* | port_added )(void *data, struct pw_impl_port *port)
| a port was added More...
void(* | port_removed )(void *data, struct pw_impl_port *port)
| a port was removed More...
void(* | info_changed )(void *data, const struct pw_node_info *info)
| the node info changed More...
void(* | port_info_changed )(void *data, struct pw_impl_port *port, const struct pw_port_info *info)
| a port on the node changed info More...
void(* | active_changed )(void *data, bool active)
| the node active state changed More...
void(* | state_request )(void *data, enum pw_node_state state)
| a new state is requested on the node More...
void(* | state_changed )(void *data, enum pw_node_state old, enum pw_node_state state, const char *error)
| the state of the node changed More...
void(* | result )(void *data, int seq, int res, uint32_t type, const void *result)
| a result was received More...
void(* | event )(void *data, const struct spa_event *event)
| an event is emited More...
void(* | driver_changed )(void *data, struct pw_impl_node *old, struct pw_impl_node *driver)
| the driver of the node changed More...
void(* | peer_added )(void *data, struct pw_impl_node *peer)
| a peer was added More...
void(* | peer_removed )(void *data, struct pw_impl_node *peer)
| a peer was removed More...

## Detailed Description

Node events, listen to them with pw_impl_node_add_listener.

## Field Documentation

## ◆ active_changed

void(* pw_impl_node_events::active_changed) (void *data, bool active)

the node active state changed

## ◆ destroy

void(* pw_impl_node_events::destroy) (void *data)

the node is destroyed

## ◆ driver_changed

void(* pw_impl_node_events::driver_changed) (void *data, struct pw_impl_node *old, struct pw_impl_node *driver)

the driver of the node changed

## ◆ event

void(* pw_impl_node_events::event) (void *data, const struct spa_event *event)

an event is emited

## ◆ free

void(* pw_impl_node_events::free) (void *data)

the node is about to be freed

## ◆ info_changed

void(* pw_impl_node_events::info_changed) (void *data, const struct pw_node_info *info)

the node info changed

## ◆ initialized

void(* pw_impl_node_events::initialized) (void *data)

the node is initialized

## ◆ peer_added

void(* pw_impl_node_events::peer_added) (void *data, struct pw_impl_node *peer)

a peer was added

## ◆ peer_removed

void(* pw_impl_node_events::peer_removed) (void *data, struct pw_impl_node *peer)

a peer was removed

## ◆ port_added

void(* pw_impl_node_events::port_added) (void *data, struct pw_impl_port *port)

a port was added

## ◆ port_info_changed

void(* pw_impl_node_events::port_info_changed) (void *data, struct pw_impl_port *port, const struct pw_port_info *info)

a port on the node changed info

## ◆ port_init

void(* pw_impl_node_events::port_init) (void *data, struct pw_impl_port *port)

a port is being initialized on the node

## ◆ port_removed

void(* pw_impl_node_events::port_removed) (void *data, struct pw_impl_port *port)

a port was removed

## ◆ result

void(* pw_impl_node_events::result) (void *data, int seq, int res, uint32_t type, const void *result)

a result was received

## ◆ state_changed

void(* pw_impl_node_events::state_changed) (void *data, enum pw_node_state old, enum pw_node_state state, const char *error)

the state of the node changed

## ◆ state_request

void(* pw_impl_node_events::state_request) (void *data, enum pw_node_state state)

a new state is requested on the node

## ◆ version

uint32_t pw_impl_node_events::version

The documentation for this struct was generated from the following file:

- impl-node.h